html, body, .container-fluid {
    height: 100%;
}

#main-row {
    height: calc( 100% - 80px );
}

body {
/* 英字フォント */
  font-family: 'Kalam', cursive;
/* 木目調背景 */
  background:
    linear-gradient(
      90deg,
      rgba(215, 164, 109, 0.6),
      rgba(201, 151, 95, 0.6) 60%,
      rgba(215, 164, 109, 0.6)
    ),
    repeating-radial-gradient(
      ellipse at 60% 500%,
      #c08646,
      #c08646 0.2%,
      #d09352 0.6%,
      #d09352 1%
    );
}

/* 日本語フォント */
h3, h5, label, p, input, textarea, select, button {
    font-family: 'Kosugi Maru', sans-serif;
}

/* 見出しアンダーライン */
.crayon {
    background: linear-gradient(transparent 60%,rgba(248, 81, 44, 0.2) 60%,rgb(248, 81, 44) 85%,rgba(248, 81, 44, 0.2));
    padding-bottom: 5px;
}


#main-col {
    /* ノート背景 */
    background-image: url(../image/white2b-min.png);

    /* 画像を常に左寄せ中央に配置 */
    background-position: left center;

    /* 画像をタイル状に繰り返し表示しない */
    background-repeat: no-repeat;

    /* コンテンツの高さが画像の高さより大きい時、動かないように固定 */
    background-attachment: fixed;

    /* 表示するコンテナの大きさに基づいて、背景画像を調整 */
    background-size: cover;
}

#main-col {
    padding-left: 5rem;
}

@media (min-width: 992px) {
    #main-col {
        padding-left: 7rem;
    }
}

@media (min-width: 1500px) {
    #main-col {
        padding-left: 9rem;
    }
}


/* 入力フォーム */

.form-area {
  background-color: #ffdca2;
  background-image: radial-gradient(#fff4ea 27%, transparent 30%), radial-gradient(#fff4ea 27%, transparent 30%);
  background-position: 0 0, 40px 40px;
  background-size    : 80px 80px;

  border        : 4.5px dashed #c98863;   /* 枠線 */
  border-radius : 8px;                  /* 角丸 */
  box-shadow    : 0 0 0 8px #ffdca2;   /* 影を利用した外余白 */
}


/* 画像ファイル選択 */

.custom-file {
    overflow: hidden;
}
.custom-file-label {
    white-space: nowrap;
}


/* 一覧表示用付箋 */

.card{
    position:relative;
    margin:0 22px 0 10px;
    padding:14px 15px 0px 20px;
    font:20px;

    background:#c4e66f;
    box-shadow:
      15px 0 0 0 #c4e66f,
      0 15px 0 0 #c4e66f,
      3px 18px 8px -2px rgba(0,0,0,0.2);
}

.card:before{
    content:" ";
    position:absolute;
    top:100%;
    left:100%;
    width:0;
    height:0;
    border-width:15px 15px 0 0;
    border-style:solid;
    border-color:transparent;
    border-top-color:#cc9;
}


/* お気に入りトグル */

.button-toggle {
    cursor: pointer;
}

.toggle-on:hover .onHeart,
.toggle-on:hover .offHeart,
.toggle-off:hover .offHeart {
	color: #f00;
}

.onHeart { color: rgba(0,0,0,0)}

.offHeart { color: #D92D07}

/* Toggle Effect */
.toggle-off {
    animation: pulse-close .4s 1;
}
.toggle-on {
    animation: pulse-open .4s 1;
}
.toggle-on .onHeart {
    color: #D92D07;
}

/* Animations */
@keyframes pulse-open {
    0% {
      transform: scale(1);
    }
    50% {
      transform: scale(1.2);
    }
    100% {
      transform: scale(1);
    }
}

@keyframes pulse-close {
    0% {
      transform: scale(1);
    }
    50% {
      transform: scale(.8);
    }
    100% {
      transform: scale(1);
    }
}


/* アイコンカラー */

.like {
    color: #D92D07;
}

.fa-folder, .fa-tag {
    color: #6E8C03;
}

.delCheck {
    color: #73462C;
}


/* ラウンドボタン */

.rounded-circle {
	width:  2.2rem;
	height: 2.2rem;
}


/* ポラロイドフレーム */

.photoFlame {
    box-shadow: 0px 3px 6px 0px #9E9E9E;    /* 影指定 */
    padding: 10px;                          /* 余白指定 */
    background-color: #fcfcf7;
}

.polaroid {
    width:  100%;               /* 幅指定 */
    vertical-align:  middle;    /* 画像の下の余白消し */
    position:  relative;        /* 要素の位置調整 */
    z-index:  0;               /* 要素の重なり順調整 */

    margin-bottom: 50px;        /* 下の空白 */
    box-shadow: 0px 0px 4px 2px rgba(148, 148, 148, 0.5) inset; /* 影指定 */
}

/* マスキングテープ */
.masking-tape{
  position: absolute;
  top: -1.5em;
  left: 26%;
  width: 50%;
  height: 30px;
  background-image: linear-gradient(-45deg, rgba(193, 237, 157,.4) 25%, transparent 25%, transparent 50%, rgba(193, 237, 157,.4) 50%, rgba(193, 237, 157,.4) 75%, transparent 75%, transparent 100%);
  background-size: 20px 20px;
  border-left:2px dotted rgba(0,0,0,.1);
  border-right:2px dotted rgba(0,0,0,.1);
  box-shadow:0 0 5px rgba(0,0,0,.2);
  padding: 0.25em 2em;
  color: #65513f;
  transform: rotate(-4deg);
}


/* ノート */

.noteLine {
  padding:0 1em;
  background: linear-gradient(#e4b79f 1px, transparent 1px);
  background-size: auto 2em;
  line-height: 2em;
  border-bottom: 1px solid #e4b79f;
  overflow: hidden;
}


/* メニュー */

*, *:before, *:after {
	-webkit-box-sizing: border-box;
	        box-sizing: border-box;
}

/* 上メニュー */

.header {
	position: relative;
	overflow: hidden;
	width: 400px;
	height:80px;
    margin-left: 80px;
}

.header #headnav a {
	overflow: hidden;
	font-size: 20px;
	position: absolute;
    margin-top: 10px;

	height: 100px;
    bottom: -55px;
	padding: 3% 3%; /* 上下 左右 or 上 右 下 左 */
	transition: 0.3s;
	text-decoration: none;
	color: #ffffff;
	border-radius: 5px 5px 0 0;
}

.header #headnav a:hover {
	bottom: -40px; /* 上記のbottom位置から動かす距離 */
}

.header #home {
	background-color: #D96704;
}

/* 右メニュー */

.navi {
	position: relative;
	overflow: hidden;
	width: 50px;
	height:360px;
    margin-left: -15px;
}

.navi #sidenav a {
	font-size: 20px;
	position: absolute;
	left: -75px;
	width: 110px;
	height: 54px;
	padding: 12px 0px 12px 80px; /* 上下 左右 or 上 右 下 左 */
	transition: 0.3s;
	text-decoration: none;
	color: #ffffff;
	border-radius: 0 5px 5px 0;
}

.navi #sidenav a:hover {
	left: -60px; /* 上記left位置から動かす距離 */
}

.navi #user {
	top: 20px;
	background-color: #F29F05;
}

.navi #settings {
	top: 100px;
	background-color: #6E8C03;
}

.navi #add {
	top: 180px;
	background-color: #D92D07;
}

.navi #logout {
	top: 260px;
	background-color: #73462C;
}